<?
require_once('include/global.php');
require_once('include/mail_send_lib.php');
require_once('conf.inc.php');


// set
	$CFG['TITLE'] = '<b>환경설정</b> >> <b>서명관리</b>';


// data
	// db - select
		$DEBUG['db_select']['start'] = getmicrotime();

		$sql = "
			SELECT
				sg_no, sg_name, sg_content
			FROM
				" . $TB['SIGN'] . "
			WHERE
				m_no='" . $AUTH['auth_m_no'] . "' 
			ORDER BY
				sg_name
			";
		$rows = db_get_rows($sql);
		// 서명 사용안함 항목
		$row = array();
		$row['sg_no'] = 0;
		$row['sg_name'] = '서명을 사용하지 않습니다.';
		array_unshift($rows, $row);

		$DEBUG['db_select']['exec'] += getmicrotime() - $DEBUG['db_select']['start'];

	// process data
//		for ($i=0; $i<sizeof($rows); $i++)
//		{
//			$rows[$i]['sg_content'] = htmlspecialchars_fix(han_substr($rows[$i]['sg_content'], 500));
//		}	// for()

	// 기본 서명
		$m_sign_default = db_get_one("SELECT m_sign_default FROM " . $TB['MEMBER'] . " WHERE m_no='" . $AUTH['auth_m_no'] . "'");

	$view = array();
	if (is_not_default_webeditor())
	{
		$view['mf_content_type'] = 'P';		// 기본모드 텍스트
	} else
	{
		$view['mf_content_type'] = 'H';		// 기본모드 HTML
	}	// if()


// skin view
	nskinset('webmail', 'sign.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>